OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

EnumPropsT< StationClassID > Struct Template Reference
Inheritance diagram for EnumPropsT< StationClassID >:

## Additional Inherited Members
Public Types inherited from MakeEnumPropsT< StationClassID, byte, STAT_CLASS_BEGIN, STAT_CLASS_MAX, STAT_CLASS_MAX, 8 >
typedef StationClassID | type
| enum type (i.e. Trackdir)
typedef byte | storage
| storage type (i.e. byte)
Static Public Attributes inherited from MakeEnumPropsT< StationClassID, byte, STAT_CLASS_BEGIN, STAT_CLASS_MAX, STAT_CLASS_MAX, 8 >
static const StationClassID | begin
| lowest valid value (i.e. TRACKDIR_BEGIN)
static const StationClassID | end
| one after the last valid value (i.e. TRACKDIR_END)
static const StationClassID | invalid
| what value is used as invalid value (i.e. INVALID_TRACKDIR)
static const uint | num_bits
| Number of bits for storing the enum in command parameters.

## Detailed Description

### template<>
struct EnumPropsT< StationClassID >

Definition at line 80 of file newgrf_station.h.

The documentation for this struct was generated from the following file:

- src/newgrf_station.h